Loading...
Searching...
No Matches
jsStreamSource Struct Reference
Types

`#include <nats.h>`

## Public Attributes

const char * | Name
uint64_t | OptStartSeq
int64_t | OptStartTime
| UTC time expressed as number of nanoseconds since epoch.
const char * | FilterSubject
jsExternalStream * | External
const char * | Domain

## Detailed Description

Dictates how streams can source from other streams.

Initialize the object with jsStreamSource_Init.

Note
  The strings are applications owned and will not be freed by the library.
  The `OptStartTime` needs to be expressed as the number of nanoseconds passed since 00:00:00 UTC Thursday, 1 January 1970.

See jsStreamConfig for information on how to configure a stream.

## Member Data Documentation

## Name

const char* jsStreamSource::Name

## OptStartSeq

uint64_t jsStreamSource::OptStartSeq

## OptStartTime

int64_t jsStreamSource::OptStartTime

## FilterSubject

const char* jsStreamSource::FilterSubject

## External

jsExternalStream* jsStreamSource::External

## Domain

const char* jsStreamSource::Domain

The documentation for this struct was generated from the following file:

- nats.h